cURL
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/billing/compute \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/billing/compute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/billing/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"in_use": {
"cpu_units": 123,
"memory_mib": 123
},
"machines": [
{
"memory_mib": 123,
"monthly_price_cents": 123,
"purchased": 123,
"slug": "<string>",
"vcpu": 123
}
],
"pool": {
"cpu_units": 123,
"memory_mib": 123
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Billing
Get Compute Billing
Get purchased compute machines and the org’s compute pool usage.
GET
/
orgs
/
{org_id}
/
billing
/
compute
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Response
Compute machine fleet
The org's compute pool: purchased machines, total capacity, and current draw.
⌘I